# PDOStatement::setAttribute

(PHP 5 >= 5.1.0, PHP 7, PHP 8, PECL pdo >= 0.2.0)

PDOStatement::setAttribute — Définit un attribut de requête

### Description

public PDOStatement::setAttribute(int `$attribute`, mixed `$value`): bool

Définit un attribut de la requête. Actuellement, aucun attribut générique n'est défini, mais uniquement des spécificités du driver :

- `PDO::ATTR_CURSOR_NAME` (spécificité de Firebird et d'ODBC) : Définit le nom du curseur pour `UPDATE ... WHERE CURRENT OF`.

Notez que les attributs spécifiques au pilote ne doivent pas être utilisés avec d'autres pilotes.

### Liste de paramètres

`attribute`

  L'attribut à modifier.

`value`

  La valeur pour définir l'`attribute`, peut nécessiter un type spécifique selon l'attribut.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Voir aussi

- PDO::getAttribute() - Récupère un attribut d'une connexion à une base de données
- PDO::setAttribute() - Configure un attribut PDO
- PDOStatement::getAttribute() - Récupère un attribut de requête